MOUNT_NTFS(8)

NAME
mount_ntfs - mount an NTFS file system

SYNOPSIS
mount_ntfs [-a] [-i] [-u uid] [-g gid] [-m mask] special node

DESCRIPTION
The mount_ntfs command attaches the NTFS filesystem residing on the device special to the global filesystem namespace at the location indicated by node. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an NTFS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The options are as follows:

-a  Force behaviour to return MS-DOS 8.3 names also on readdir().

-i  Make name lookup case insensitive for all names except POSIX names.

-u uid
    Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.

-g gid
    Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.

-m mask
    Specify the maximum file permissions for files in the file system.

FEATURES
NTFS file attributes are accessed in following way:

    foo[[:ATTRTYPE]:ATTRNAME]

‘ATTRTYPE’ is one of identifier listed in $AttrDef file of volume. Default is $DATA. ‘ATTRNAME’ is an attribute name. Default is none.

EXAMPLES
To mount an ntfs volume located in /dev/wd1s1:

    # mount_ntfs /dev/wd1s1 /mnt

To get volume name (in Unicode):

    # cat /mnt/\$Volume:\$VOLUME_NAME

To read directory raw data:

    # cat /mnt/foodir:\$INDEX_ROOT:\$I30

WRITING
There is limited writing ability. Limitations: file must be nonresident and must not contain any sparces (uninitialized areas), compressed files are not supported either.

SEE ALSO
mount(2), unmount(2), fstab(5), mount(8)

CAVEATS
This utility gives almost only read-only access to NTFS volume. See WRITING section.

HISTORY
The mount_ntfs first appeared in FreeBSD 3.0.

AUTHORS
NTFS kernel implementation, mount_ntfs and manual were written by Semen Ustimenko <semenu@FreeBSD.org>.